/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/. */

"use strict";

ChromeUtils.defineModuleGetter(this, "Services", "resource://gre/modules/Services.jsm");
ChromeUtils.defineModuleGetter(this, "AddonManager", "resource://gre/modules/AddonManager.jsm");

this.EXPORTED_SYMBOLS = ["AppConstants"];

// Immutable for export.
this.AppConstants = Object.freeze({
  // See this wiki page for more details about channel specific build
  // defines: https://wiki.mozilla.org/Platform/Channel-specific_build_defines
  NIGHTLY_BUILD:
//@line 21 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 25 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  FENNEC_NIGHTLY:
//@line 30 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 32 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  RELEASE_OR_BETA:
//@line 37 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 39 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  EARLY_BETA_OR_EARLIER:
//@line 42 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 46 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  ACCESSIBILITY:
//@line 49 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 53 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  // Official corresponds, roughly, to whether this build is performed
  // on Mozilla's continuous integration infrastructure. You should
  // disable developer-only functionality when this flag is set.
  MOZILLA_OFFICIAL:
//@line 59 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 63 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_OFFICIAL_BRANDING:
//@line 66 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 70 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_DEV_EDITION:
//@line 75 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 77 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_SERVICES_SYNC:
//@line 82 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 84 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_SERVICES_HEALTHREPORT:
//@line 87 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 91 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_DATA_REPORTING:
//@line 94 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 98 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_SANDBOX:
//@line 101 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 105 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_TELEMETRY_REPORTING:
//@line 108 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 112 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_TELEMETRY_ON_BY_DEFAULT:
//@line 115 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 119 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_UPDATER:
//@line 122 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 126 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_SWITCHBOARD:
//@line 131 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 133 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_WEBRTC:
//@line 136 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 140 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_WIDGET_GTK:
//@line 143 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 147 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  XP_UNIX:
//@line 150 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 154 "$SRCDIR/toolkit/modules/AppConstants.jsm"

// NOTE! XP_LINUX has to go after MOZ_WIDGET_ANDROID otherwise Android
// builds will be misidentified as linux.
  platform:
//@line 159 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  "linux",
//@line 171 "$SRCDIR/toolkit/modules/AppConstants.jsm"

// Most of our frontend code assumes that any desktop Unix platform
// is "linux". Add the distinction for code that needs it.
  unixstyle:
//@line 176 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    "linux",
//@line 188 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  isPlatformAndVersionAtLeast(platform, version) {
    let platformVersion = Services.sysinfo.getProperty("version");
    return platform == this.platform &&
           Services.vc.compare(platformVersion, version) >= 0;
  },

  isPlatformAndVersionAtMost(platform, version) {
    let platformVersion = Services.sysinfo.getProperty("version");
    return platform == this.platform &&
           Services.vc.compare(platformVersion, version) <= 0;
  },

  MOZ_CRASHREPORTER:
//@line 205 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 207 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_NORMANDY:
//@line 210 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 214 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_MAINTENANCE_SERVICE:
//@line 219 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 221 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_BITS_DOWNLOAD:
//@line 226 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 228 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  DEBUG:
//@line 233 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 235 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  ASAN:
//@line 240 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 242 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  ASAN_REPORTER:
//@line 247 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 249 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_SYSTEM_NSS:
//@line 254 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 256 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_PLACES:
//@line 259 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 263 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_REQUIRE_SIGNING:
//@line 268 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 270 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  get MOZ_UNSIGNED_SCOPES() {
    let result = 0;
//@line 279 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    return result;
  },

  MOZ_ALLOW_ADDON_SIDELOAD:
//@line 286 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 288 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_ALLOW_LEGACY_EXTENSIONS:
//@line 293 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 295 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MENUBAR_CAN_AUTOHIDE:
//@line 298 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 302 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_ANDROID_HISTORY:
//@line 307 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  false,
//@line 309 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_GECKO_PROFILER:
//@line 312 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  true,
//@line 316 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  DLL_PREFIX: "lib",
  DLL_SUFFIX: ".so",

  MOZ_APP_NAME: "firefox",
  MOZ_APP_VERSION: "75.0a1",
  MOZ_APP_VERSION_DISPLAY: "75.0a1",
  MOZ_BUILDID: "20200213201940",
  MOZ_BUILD_APP: "browser",
  MOZ_MACBUNDLE_NAME: "Firefox.app",
  MOZ_UPDATE_CHANNEL: "default",
  MOZ_WIDGET_TOOLKIT: "gtk",
  ANDROID_PACKAGE_NAME: "org.mozilla.firefox",

  DEBUG_JS_MODULES: "",

  MOZ_BING_API_CLIENTID: "no-bing-api-clientid",
  MOZ_BING_API_KEY: "no-bing-api-key",
  MOZ_GOOGLE_LOCATION_SERVICE_API_KEY: "no-google-location-service-api-key",
  MOZ_GOOGLE_SAFEBROWSING_API_KEY: "no-google-safebrowsing-api-key",
  MOZ_MOZILLA_API_KEY: "no-mozilla-api-key",

  BROWSER_CHROME_URL: "chrome://browser/content/browser.xhtml",

  OMNIJAR_NAME: "omni.ja",

  // URL to the hg revision this was built from (e.g.
  // "https://hg.mozilla.org/mozilla-central/rev/6256ec9113c1")
  // On unofficial builds, this is an empty string.
//@line 348 "$SRCDIR/toolkit/modules/AppConstants.jsm"
  SOURCE_REVISION_URL: "https://hg.mozilla.org/mozilla-central/rev/b47e32ff95b8d544ea1e94374e1d5ad8929bba39",

  HAVE_USR_LIB64_DIR:
//@line 354 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    false,
//@line 356 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  HAVE_SHELL_SERVICE:
//@line 359 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    true,
//@line 363 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_CODE_COVERAGE:
//@line 368 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    false,
//@line 370 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  TELEMETRY_PING_FORMAT_VERSION: 4,

  MOZ_NEW_XULSTORE:
//@line 375 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    true,
//@line 379 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_NEW_NOTIFICATION_STORE:
//@line 382 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    true,
//@line 386 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  MOZ_NEW_CERT_STORAGE:
//@line 389 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    true,
//@line 393 "$SRCDIR/toolkit/modules/AppConstants.jsm"

  ENABLE_REMOTE_AGENT:
//@line 396 "$SRCDIR/toolkit/modules/AppConstants.jsm"
    true,
//@line 400 "$SRCDIR/toolkit/modules/AppConstants.jsm"
});
